org.apache.xml.serialize

## Class OutputFormat.Defaults

- java.lang.Object
- - org.apache.xml.serialize.OutputFormat.Defaults

Enclosing class:
  OutputFormat

Deprecated.
This class was deprecated in Xerces 2.9.0. It is recommended that new applications use the DOM Level 3 LSSerializer or JAXP's Transformation API for XML (TrAX) for serializing XML and HTML. See the Xerces documentation for more information.

    public static class OutputFormat.Defaults
    extends java.lang.Object

### Field Summary

Fields
`static java.lang.String` `Encoding` Deprecated. The default encoding for Web documents it UTF-8.
`static int` `Indent` Deprecated. If indentation is turned on, the default identation level is 4.
`static int` `LineWidth` Deprecated. The default line width at which to break long lines when identing.

### Constructor Summary

Constructors
Constructor and Description
`Defaults()` Deprecated.

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### Indent

    public static final int Indent

Deprecated.
If indentation is turned on, the default identation level is 4.

See Also:
  `OutputFormat.setIndenting(boolean)`, Constant Field Values

#### Encoding

    public static final java.lang.String Encoding

Deprecated.
The default encoding for Web documents it UTF-8.

See Also:
  `OutputFormat.getEncoding()`, Constant Field Values

#### LineWidth

    public static final int LineWidth

Deprecated.
The default line width at which to break long lines when identing. This is set to 72.

See Also:
  Constant Field Values

### Constructor Detail

#### Defaults

    public Defaults()

Deprecated.